Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235298 - chage has a limit range of valid dates
Summary: chage has a limit range of valid dates
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 21:15 UTC by Michael C Thompson
Modified: 2009-09-01 18:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-01 18:09:06 UTC


Attachments (Terms of Use)

Description Michael C Thompson 2007-04-04 21:15:04 UTC
Description of problem:
chage does not except extereme dates. This is probably a function of integer
date representation...

Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-12.el5

How reproducible:
Always

Steps to Reproduce:
::FAILURE::
chage chage_user
Changing the aging information for chage_user
Enter the new value, or press ENTER for the default

        Minimum Password Age [2]: 100
        Maximum Password Age [20]: 20000
        Last Password Change (YYYY-MM-DD) [2008-05-05]: 2004-02-01
        Password Expiration Warning [7]: 123
        Password Inactive [1]: -1
        Account Expiration Date (YYYY-MM-DD) [2009-05-05]: 3000-01-01
chage: error changing fields

::SUCCESS::
chage chage_user
Changing the aging information for chage_user
Enter the new value, or press ENTER for the default

        Minimum Password Age [2]: 10
        Maximum Password Age [20]: 400
        Last Password Change (YYYY-MM-DD) [2008-05-05]: 2004-04-04
        Password Expiration Warning [7]: 3
        Password Inactive [1]: 1
        Account Expiration Date (YYYY-MM-DD) [2009-05-05]: 2020-01-01

Comment 1 Steve Grubb 2007-04-05 15:30:11 UTC
Maybe it should print a nicer error message? I personally don't see failing to
set the date to the year 3000 as being a problem. Just how it denies the request
could be better explained.

Comment 2 George C. Wilson 2007-04-10 15:57:52 UTC
Is this a real problem? It is not targeted for 5.1 right now. Should this be
marked LSPP?

Comment 3 Linda Knippers 2007-04-10 17:49:26 UTC
In my opinion it isn't LSPP related so it isn't blocking anything and
shouldn't be marked LSPP.
Although the error message could be more meaningful, it doesn't seem
like a real problem.  

Just my 2 cents...

Comment 4 Kris Wilson 2007-04-10 22:52:27 UTC
We agree that this fix is not required for LSPP; therefore "LSPP" is not needed
in the summary.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.